# CEGUI::ScrollablePaneProperties::ContentPaneAutoSized Class Reference

Property to access the setting which controls whether the content pane is automatically resized according to the size and position of attached content. More...

Inheritance diagram for CEGUI::ScrollablePaneProperties::ContentPaneAutoSized:

[legend]
Collaboration diagram for CEGUI::ScrollablePaneProperties::ContentPaneAutoSized:

[legend]
List of all members.

## Public Member Functions

String | get (const PropertyReceiver *receiver) const
| Return the current value of the Property as a String.
void | set (PropertyReceiver *receiver, const String &value)
| Sets the value of the property.

## Detailed Description

Property to access the setting which controls whether the content pane is automatically resized according to the size and position of attached content.

Usage:
  - Name: ContentPaneAutoSized
  - Format: "[text]"

Where [Text] is:
  - "True" to indicate the pane should automatically resize itself.
  - "False" to indicate the pane should not automatically resize itself.

## Member Function Documentation

String CEGUI::ScrollablePaneProperties::ContentPaneAutoSized::get | ( | const PropertyReceiver * | receiver | ) | const`[virtual]`

Return the current value of the Property as a String.

Parameters:

  | receiver | Pointer to the target object.

Returns:
  String object containing a textual representation of the current value of the Property

Implements CEGUI::Property.

void CEGUI::ScrollablePaneProperties::ContentPaneAutoSized::set | ( | PropertyReceiver * | receiver,
|  | const String & | value
| ) | `[virtual]`

Sets the value of the property.

Parameters:

  | receiver | Pointer to the target object.
  | value | A String object that contains a textual representation of the new value to assign to the Property.

Returns:
  Nothing.

Exceptions:

  | InvalidRequestException | Thrown when the Property was unable to interpret the content of value.

Implements CEGUI::Property.